### Method

# Gtk CellRendererget_preferred_width_for_height

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_renderer_get_preferred_width_for_height (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      int height,
      int* minimum_width,
      int* natural_width
    )

#### Description [src]

Retrieves a cell renderers’s minimum and natural width if it were rendered to `widget` with the specified `height`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` this cell will be rendering to.

  The data is owned by the caller of the method.

`height`

  Type: `int`

  The size which is available for allocation.

`minimum_width`

  Type: `int*`

  Location for storing the minimum size.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_width`

  Type: `int*`

  Location for storing the preferred size.

  The argument will be set by the function.
  The argument can be `NULL`.